Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2165 closed defect

Sort the BSP lists in acinclude.m4 files.

Reported by: Chris Johns Owned by: Ralf Corsepius
Priority: normal Milestone: 4.11
Component: build Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

This patch sorts the bsp lists in the acinclude.m4 to avoid conflicts if the file system orders the directories differently to the checked in file.

Attachments (1)

bootstrap-sort-bsp-lists.diff (1.4 KB) - added by Chris Johns on 12/24/13 at 05:38:53.
Sort the bsp lists.

Download all attachments as: .zip

Change History (5)

Changed on 12/24/13 at 05:38:53 by Chris Johns

Sort the bsp lists.

comment:1 Changed on 01/08/14 at 19:43:17 by Chris Johns

attachments.ispatch: 01
attachments.mimetype: application/octet-streamtext/plain

comment:2 Changed on 01/08/14 at 20:04:00 by Chris Johns

So, which OS are you having problems with?

BSD based ones, ie MacOS and FreeBSD.

How do the results of the examples above look like on this OS.

For FreeBSD the results are ...

$ export LANG=C
$ ls
1 A a
$ ls | sort
1
A
a

$ export LANG=en_US.utf_8
$ ls
1 A a
$ ls | sort
1
A
a

$ export LANG=en_US.utf_8
$ export LC_COLLATE=C
$ ls
1 A a
$ export LC_COLLATE=C
$ ls
1 A a
$ ls | sort
1
A
a

For MacOS the results are similar except 'a' was replaced by 'b' because the default file system is not case sensitive.

Can we ..

for i in LANG=C LC_COLLATE=C ls */bsp_specs | sort; do

comment:3 Changed on 11/24/14 at 14:18:13 by Joel Sherrill

Resolution: fixed
Status: newclosed

Chris applied the patch.

comment:4 Changed on 11/24/14 at 15:37:25 by Gedare Bloom

Version: HEAD4.11
Note: See TracTickets for help on using tickets.